RPI-IMAGER(1)

NAME
rpi-imager - Flash disk images to removable storage

SYNOPSIS
rpi-imager [--debug] [--repo url] [--qm translations] [--disable-telemetry] [image-uri]
rpi-imager --cli [--debug] [--quiet] [--disable-verify] [--sha256 expected-hash] image-uri destination-device
rpi-imager --version
rpi-imager --help

DESCRIPTION
rpi-imager is a utility for writing a disk image file, which may optionally be compressed, to a removable destination disk, such as a micro-SD card or a USB-attached SSD drive.

When run without further command line arguments, the utility presents a simple graphical interface with controls for image-file selection, target drive selection, and one to start writing. In this mode, the Raspberry Pi server (and potentially third party servers) will be queried for available OS images. You may also specify an image-uri (which may be a local file, or an HTTP or HTTPS URL) to flash directly on the command line.

When run with the --cli argument, the utility directly flashes the image-uri given to the specified destination-drive. In this case, the --sha256 option can be used to pass in the expected SHA256 checksum of the image.

OPTIONS

--cli
    Do not launch the graphical interface; just flash the image given to the specified drive. In this mode, the image-uri and destination-device must both be specified.

--debug
    Output extra debugging information on the console.

--disable-telemetry
    Do not report OS writes to http://rpi-imager-stats.raspberrypi.com/

--disable-verify
    After writing the image, do not attempt to verify that the image was written correctly. Only valid when run with --cli.

--help
    Display a synopsis of the command line syntax and exit.

--quiet
    Suppress all console output. Only valid when run with --cli.

--qm translations
    Specify an alternate Qt message translations file to use with the GUI.

--repo url
    Instead of querying the Raspberry Pi servers for the list of available OS images, query this URL instead. The URL will be expected to return a JSON file conforming to the format described in the associated json-schema.

--sha256 expected-hash
    Verify that the image matches the expected-hash before writing it to the specified destination. Only valid when run with --cli.

--version
    Report the version of the utility, and the default URI it will attempt to query to determine the available OS images.

image-uri
    If specified, the URI of the image to write to the destination. This may be a local file, or a remote URL supporting the HTTP or HTTPS protocols. This must be specified when using --cli.

destination-device
    The device to which to write the specified image, e.g. /dev/mmcblk0. Only valid when run with --cli.

EXAMPLES

rpi-imager
    Launch the graphical interface.

rpi-imager --repo http://localhost:8080/os_list_utility.json
    Test a locally hosted version of the OS list with the graphical interface.

rpi-imager --cli --disable-verify test.img /dev/mmcblk0
    Write test.img to /dev/mmcblk0 without any verification of the image itself, and no check that the image flashed correctly. This also avoids launching the graphical interface.

SEE ALSO
dd(1)